/** @type {import('next').NextConfig} */
const { i18n } = require('./next-i18next.config');
const nextEnv = require('next-env');
const dotenvLoad = require('dotenv-load');

dotenvLoad();
const withNextEnv = nextEnv();

const nextConfig = {
  reactStrictMode: true,
  i18n: i18n,
  webpack: (config) => {
    config.resolve.fallback = { fs: false };

    return config;
  },
  images: {
    remotePatterns: [
      {
        protocol: 'http',
        hostname: 'localhost',
        port: '3000',
        pathname: '**',
      },
      {
        protocol: 'https',
        hostname: 'www.thealt.staging-sip.ethz.ch',
        port: '',
        pathname: '**',
      },
      {
        protocol: 'https',
        hostname: 'thealternative.ethz.ch',
        port: '',
        pathname: '**',
      },
    ],
  }
}

module.exports = withNextEnv(nextConfig);
